Bug 428000 - Review Request: ocaml-dbus - OCaml library for using D-Bus
Review Request: ocaml-dbus - OCaml library for using D-Bus
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 11:47 EST by Richard W.M. Jones
Modified: 2008-02-15 12:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 12:56:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-01-08 11:47:41 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-dbus.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-dbus-0.03-1.fc8.src.rpm
Description: D-Bus is a project that permits programs to communicate with each
other, using a simple IPC protocol.  This is an OCaml binding for
D-Bus.
Comment 1 Richard W.M. Jones 2008-01-08 11:54:00 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-dbus.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-dbus-0.03-2.fc8.src.rpm

Ooops - changed it to BuildRequire dbus-devel.
Comment 2 Jason Tibbitts 2008-01-20 16:07:33 EST
I'm getting "Connection refused" attempting to download this.
Comment 3 Jason Tibbitts 2008-01-26 23:20:03 EST
I'm getting through now without problems.

This builds fine and rpmlint is silent.  The only difference I can see between
this package and the suggestions in the guidelines is that this doesn't call
"make byte" and "make opt", but then the supplied Makefile doesn't support those
targets.  I suppose this would only cause an issue on ppc64, which is excluded
anyway.

You have the same file included in both the main and -devel packages.  I don't
think it's a blocker, but normally there's no point in doing this.

Since you're excluding PPC64, don't forget to open a ticket describing the
reasons for that and have it block FE-ExcludeArch-ppc64.

* source files match upstream:
   900d4bf337891cf9f17cda9b8c269b832718e41b26239a81b46aa9f31f030bae  
   ocaml_dbus-0.03.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* specfile follows the ocaml packaging guidelines.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64, i386, ppc).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
  ocaml-dbus-0.03-2.fc9.x86_64.rpm
   dlldbus_stubs.so()(64bit)
   ocaml(DBus) = e11b402ab86e8d7fad43b48a7b50bf7e
   ocaml-dbus = 0.03-2.fc9
  =
   ocaml(List) = da1ce9168f0408ff26158af757456948
   ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57
   ocaml(Unix) = 9a46a8db115947409e54686ada118599
   ocaml(runtime) = 3.10.0

  ocaml-dbus-devel-0.03-2.fc9.x86_64.rpm
   ocaml-dbus-devel = 0.03-2.fc9
  =
   ocaml-dbus = 0.03-2.fc9

* %check is not present; no test suite upstream.  I've no clue how to test an 
   ocaml library.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
? no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 4 Richard W.M. Jones 2008-02-12 07:01:40 EST
New Package CVS Request
=======================
Package Name: ocaml-dbus
Short Description: OCaml library for using D-Bus
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-02-12 12:40:32 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.